﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FastColoredTextBoxNS;

namespace RTMALG
{
    class menuAutocomplementado
    {
        string[] Fragmentos = { "Si (¿^?) Entonces\n\nFinSi\n", "Si (¿^?) Entonces\n\nDe lo contrario\n\nFinSi\n","Repetir Mientras ¿^?\n\nFinRepetir\n",
                                "Repetir Hacer\n\nMientras ¿^?\n\nFinRepetir\n", "Repetir Para ¿^?  Desde ¿? Hasta ¿? \n\n FinRepetir\n","leer()^","escribir(^)","raiz(^)"};

        string[] Palabras = { "Si", "Mientras", "Hacer", "Para", "De lo contrario", "Entonces", "Variables", "Inicio", "Fin", "Repetir", "Entero", "Cadena", "Decimal", 
                              "Caracter", "Rutina", "Subrutina","Devolver","Regresar"};

        public void Contruir(AutocompleteMenu AutoMenu)
        {
            List<AutocompleteItem> items = new List<AutocompleteItem>();
            foreach (var item in Fragmentos)
                items.Add(new SnippetAutocompleteItem(item));
            foreach (var item in Palabras)
                items.Add(new AutocompleteItem(item));

            items.Add(new insetarFragmentoCodigo());
            items.Add(new insetarFragmentoCodigo(@"^(\w+)([=<>!:]+)(\w+)$"));
            items.Add(new insertarEnter());

            AutoMenu.Items.SetAutocompleteItems(items);
            AutoMenu.SearchPattern = @"[\w\.:=!<>]";
        }
    }
}
