﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FastColoredTextBoxNS;
using System.Text.RegularExpressions;
namespace RTMALG
{
    class insetarFragmentoCodigo : AutocompleteItem
    {
        string patron;

            public insetarFragmentoCodigo(string patron): base("")
            {this.patron = patron;}

            public insetarFragmentoCodigo(): this(@"^(\d+)([a-zA-Z_]+)(\d*)$"){}
        
            public override CompareResult Compare(string faragmentoTexto)
            {
                if (Regex.IsMatch(faragmentoTexto, patron))
                {
                    Text = insetarEspacio(faragmentoTexto);
                    if (Text != faragmentoTexto)
                        return CompareResult.Visible;
                }
                return CompareResult.Hidden;
            }

            public string insetarEspacio(string fragmento)
            {
                var m = Regex.Match(fragmento, patron);
                if (m == null)
                    return fragmento;
                if (m.Groups[1].Value == "" && m.Groups[3].Value == "")
                    return fragmento;
                return (m.Groups[1].Value + " " + m.Groups[2].Value + " " + m.Groups[3].Value).Trim();
            }

            public override string ToolTipTitle
            {
                get{return Text;}
            }
        }
 }
